Bug 574557 - [Cisco 5.6 bug] kABI request for fcoe
[Cisco 5.6 bug] kABI request for fcoe
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
x86_64 Linux
high Severity high
: rc
: 5.6
Assigned To: Jon Masters
Red Hat Kernel QE team
: FutureFeature
Depends On:
Blocks: 557597 626671
  Show dependency treegraph
 
Reported: 2010-03-17 15:29 EDT by Venkata Siva Vijayendra Bhamidipati
Modified: 2011-01-13 16:19 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rhel56-kabi-whitelist-add-scsi-symbols.patch (67.48 KB, patch)
2010-09-07 03:34 EDT, Jon Masters
no flags Details | Diff

  None (edit)
Description Venkata Siva Vijayendra Bhamidipati 2010-03-17 15:29:07 EDT
1.  Feature Overview:
     a. Name of feature:
        fcoe.ko

     b. Feature Description

        The following warnings show up when installing the fnic rpm on RHEL 5.5 -

[root@localhost rpms]# rpm -ivh kmod-fnic-0.0.1.40830M.ET.vbhamidi-1.x86_64.rpm
Preparing...                ########################################### [100%]
   1:kmod-fnic              ########################################### [100%]
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_vport_setlink
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_exch_mgr_add
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_cpu_mask
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_lport_logo_resp
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_elsct_send
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_frame_alloc_fill
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol _fc_frame_alloc
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_lport_flogi_resp
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol libfc_vport_create
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_vport_setlink
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_exch_mgr_add
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_cpu_mask
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_lport_logo_resp
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_elsct_send
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_frame_alloc_fill
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol _fc_frame_alloc
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol fc_lport_flogi_resp
WARNING: /lib/modules/2.6.18-190.el5/kernel/drivers/scsi/fcoe/fcoe.ko needs
unknown symbol libfc_vport_create
[root@localhost rpms]# uname -a
Linux localhost.localdomain 2.6.18-190.el5 #1 SMP Mon Feb 22 19:13:18 EST 2010
x86_64 x86_64 x86_64 GNU/Linux
[root@localhost rpms]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.5 Beta (Tikanga)
[root@localhost rpms]#
[root@localhost rpms]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 5.5 Beta (Tikanga)
[root@localhost rpms]# rpm -qlp kmod-fnic-0.0.1.40830M.ET.vbhamidi-1.x86_64.rpm
/bin/fcc
/lib/modules/2.6.18-190.el5
/lib/modules/2.6.18-190.el5/extra
/lib/modules/2.6.18-190.el5/extra/fnic
/lib/modules/2.6.18-190.el5/extra/fnic/fnic.ko
/lib/modules/2.6.18-190.el5/extra/libfc
/lib/modules/2.6.18-190.el5/extra/libfc/libfc.ko
[root@localhost rpms]#


We do not package fcoe.ko, as can be seen in the above rpm -qlp output. The
above messages show up as a result of depmod that is run as part of the rpm
installation. 

These symbols required by fcoe.ko must be added to the greylist.
        

2.  Feature Details:
     a. Architectures:
         64-bit Intel EM64T/AMD64
         

     b. Red Hat Bugzilla Dependencies:
        None

     c. Drivers or hardware dependencies:
        None


     d. Upstream acceptance information:
        

     e. External links:
        

     f. Severity (U,H,M,L):
         Medium

     g. Target Release Date:



3. Business Justification:
     a. Why is this feature needed?
          - Warnings show up for fcoe.ko when installing fnic rpm on RHEL.

     b. What hardware does this enable?
          - Cisco's CNA that provides FCoE functionality.

     c. Forecast, impact on revenue?

     d. Any configuration info?
     e. Are there other dependencies (drivers).
          libfc, fnic, scsi_transport_fc, libfcoe.

4. Primary contact at Red Hat, email, phone (chat)
    Andrius Benokraitis
    andriusb@redhat.com


5. Primary contact at Partner, email, phone (chat)
    Venkata Siva Vijayendra Bhamidipati
    vbhamidi@cisco.com
     408-387-6082
Comment 1 Jon Masters 2010-08-24 00:56:23 EDT
Please can you confirm that you need these symbols in order to package an external driver update for use with RHEL5.6?
Comment 3 Jon Masters 2010-09-07 03:34:32 EDT
Created attachment 443433 [details]
rhel56-kabi-whitelist-add-scsi-symbols.patch
Comment 4 Jon Masters 2010-09-07 03:40:01 EDT
Thank you for filing your request to update our kernel ABI whitelists. We are now reviewing your request and will endeavor to provide an update in due course.
Comment 6 Jarod Wilson 2010-09-21 16:59:58 EDT
in kernel-2.6.18-223.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 11 errata-xmlrpc 2011-01-13 16:19:02 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.